Take the 2-minute tour ×
Game Development Stack Exchange is a question and answer site for professional and independent game developers. It's 100% free, no registration required.

I'm trying to install OpenGL 3.0 for studying examples about GLUS , which require OpenGL 3 or 4.

I read on the official Mesa website that Mesa 9.2 support OpenGL 3.0, but after I installed Mesa 9.0, it only support OpenGL 1.4. This is the information from the command line "glxinfo | grep "OpenGL" ":

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset 
OpenGL version string: 1.4 (2.1 Mesa 9.1.4)
OpenGL extensions:

My question is how can I get OpenGL 3.0 in Mesa 9.2. I hope to see your answer!

share|improve this question
add comment

1 Answer

Different hardware drivers support different levels of OpenGL. The GM45 is an old chip that receives minimal support from developers. Newer chips, such as those embedded in the Sandy Bridge or Ivy Bridge, generally support the very latest features of Mesa.

You could try using the software rasterizer (llvmpipe being the "high-speed" software rasterizer in Mesa) instead of the hardware drivers. There is an llvmpipe installation/usage guide available, which admittedly is not all that great. The gist is that an alternative libGL.so/OpenGL32.dll will be created which you need to put in the right place so the dynamic linker will find it.

If you're on Linux, there may be a package you need to install to get llvmpipe. Depends on which distro specifically.

share|improve this answer
    
Thanks for your advice. By the way, I would like to ask you whether or not I can use GLUS with llvmpipe? –  khanhhh89 Oct 16 '13 at 13:31
    
No idea. I've never heard of GLUS before you mentioned it. The frontpage only lists Windows as its desktop OS, but I see no reason it shouldn't work with Mesa on Windows. If not, try SDL or GLFW. –  Sean Middleditch Oct 16 '13 at 17:25
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.